Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Interface IPHint

All Superinterfaces:
  org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

All Known Implementing Classes:
  IPHintImpl

    public interface IPHint

extends org.opensaml.common.SAMLObject

IPHint. See IdP Discovery and Login UI Metadata Extension Profile.

Field Summary
`static String` | `DEFAULT_ELEMENT_LOCAL_NAME` Element local name.
`static QName` | `DEFAULT_ELEMENT_NAME` Default element name.

Method Summary
`String` | `getHint()` Gets the Hint.
`void` | `setHint(String newHint)` Sets the hint.

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Field Detail

### DEFAULT_ELEMENT_LOCAL_NAME

    static final String DEFAULT_ELEMENT_LOCAL_NAME

  Element local name.

  See Also:
    Constant Field Values

### DEFAULT_ELEMENT_NAME

    static final QName DEFAULT_ELEMENT_NAME

  Default element name.

Method Detail

### getHint

    String getHint()

  Gets the Hint.

  Returns:
    the Hint

### setHint

    void setHint(String newHint)

  Sets the hint.

  Parameters:
    `newHint` - hint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.